package aspectEditor.aspectEditorUtils;
import java.util.jar.JarFile;
import java.util.*;
import java.io.*;
import edu.neu.ccs.demeter.aplib.*;
import edu.neu.ccs.demeter.*;
abstract class GlobVisitor extends UniversalVisitor {
  public GlobVisitor() {
    super();
  }
  public void before(GlobSpec host) { }
  public void before(ClassGlobSpec host) { }
  public void before(Glob host) { }
  public void before(ClassGlob host) { }
  public void before(PartGlob host) { }
  public void before(SubclassGlob host) { }
  public void before(SuperclassGlob host) { }
  public void before(OneGlob host) { }
  public void before(GlobSet host) { }
  public void before(OneClassGlob host) { }
  public void before(ClassGlobSet host) { }
  public void before(EdgeGlob host) { }
  void universal_trv0_bef(UniversalVisitor _v_) {
    super.universal_trv0_bef(_v_);
  }

  void universal_trv0_aft(UniversalVisitor _v_) {
    super.universal_trv0_aft(_v_);
  }

  void universal_trv0(UniversalVisitor _v_) {
    super.universal_trv0(_v_);
  }

}
